diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/wimax/model/wimax-mac-header.cc ns-3.43/src/wimax/model/wimax-mac-header.cc
--- ns-3.42/src/wimax/model/wimax-mac-header.cc	2024-05-29 15:29:47.228073800 -0700
+++ ns-3.43/src/wimax/model/wimax-mac-header.cc	2024-10-09 16:41:10.148656800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2007,2008, 2009 INRIA, UDcast
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Jahanzeb Farooq <jahanzeb.farooq@sophia.inria.fr>
  *         Mohamed Amine Ismail <amine.ismail@sophia.inria.fr>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/wimax/model/wimax-mac-header.h ns-3.43/src/wimax/model/wimax-mac-header.h
--- ns-3.42/src/wimax/model/wimax-mac-header.h	2024-05-29 15:29:47.228073800 -0700
+++ ns-3.43/src/wimax/model/wimax-mac-header.h	2024-10-09 16:41:10.148656800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2007,2008, 2009 INRIA, UDcast
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Jahanzeb Farooq <jahanzeb.farooq@sophia.inria.fr>
  *         Mohamed Amine Ismail <amine.ismail@sophia.inria.fr>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/wimax/model/wimax-mac-queue.cc ns-3.43/src/wimax/model/wimax-mac-queue.cc
--- ns-3.42/src/wimax/model/wimax-mac-queue.cc	2024-05-29 15:29:47.228073800 -0700
+++ ns-3.43/src/wimax/model/wimax-mac-queue.cc	2024-10-09 16:41:10.148656800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2007,2008 INRIA, UDcast
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Jahanzeb Farooq <jahanzeb.farooq@sophia.inria.fr>
  *         Mohamed Amine Ismail <Amine.Ismail@sophia.inria.fr>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/wimax/model/wimax-mac-queue.h ns-3.43/src/wimax/model/wimax-mac-queue.h
--- ns-3.42/src/wimax/model/wimax-mac-queue.h	2024-05-29 15:29:47.228073800 -0700
+++ ns-3.43/src/wimax/model/wimax-mac-queue.h	2024-10-09 16:41:10.148656800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2007,2008 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Jahanzeb Farooq <jahanzeb.farooq@sophia.inria.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/wimax/model/wimax-mac-to-mac-header.cc ns-3.43/src/wimax/model/wimax-mac-to-mac-header.cc
--- ns-3.42/src/wimax/model/wimax-mac-to-mac-header.cc	2024-05-29 15:29:47.228073800 -0700
+++ ns-3.43/src/wimax/model/wimax-mac-to-mac-header.cc	2024-10-09 16:41:10.148656800 -0700
@@ -1,18 +1,7 @@
 /*
  *  Copyright (c) 2010 INRIA, UDcast
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  *         Mohamed Amine Ismail <amine.ismail@sophia.inria.fr>
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/wimax/model/wimax-mac-to-mac-header.h ns-3.43/src/wimax/model/wimax-mac-to-mac-header.h
--- ns-3.42/src/wimax/model/wimax-mac-to-mac-header.h	2024-05-29 15:29:47.228073800 -0700
+++ ns-3.43/src/wimax/model/wimax-mac-to-mac-header.h	2024-10-09 16:41:10.148656800 -0700
@@ -1,18 +1,7 @@
 /*
  *  Copyright (c) 2010 INRIA, UDcast
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  *         Mohamed Amine Ismail <amine.ismail@sophia.inria.fr>
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/wimax/model/wimax-net-device.cc ns-3.43/src/wimax/model/wimax-net-device.cc
--- ns-3.42/src/wimax/model/wimax-net-device.cc	2024-05-29 15:29:47.228073800 -0700
+++ ns-3.43/src/wimax/model/wimax-net-device.cc	2024-10-09 16:41:10.148656800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2007,2008,2009 INRIA, UDcast
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Jahanzeb Farooq <jahanzeb.farooq@sophia.inria.fr>
  *          Mohamed Amine Ismail <amine.ismail@sophia.inria.fr>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/wimax/model/wimax-net-device.h ns-3.43/src/wimax/model/wimax-net-device.h
--- ns-3.42/src/wimax/model/wimax-net-device.h	2024-05-29 15:29:47.228073800 -0700
+++ ns-3.43/src/wimax/model/wimax-net-device.h	2024-10-09 16:41:10.148656800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2007,2008, 2009 INRIA, UDcast
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Jahanzeb Farooq <jahanzeb.farooq@sophia.inria.fr>
  *          Mohamed Amine Ismail <amine.ismail@sophia.inria.fr>
@@ -446,6 +435,7 @@
      * The TracedCallback signature will then match \c Packet::Mac48Address
      * and this typedef can be removed.
      */
+    // NS_DEPRECATED() - tag for future removal
     typedef void (*TxRxTracedCallback)(Ptr<const Packet> packet, const Mac48Address& mac);
     /**
      * \deprecated The `const Mac48Address &` argument is deprecated
@@ -454,6 +444,7 @@
      * and this typedef can be removed.
      * \todo This member variable should be private.
      */
+    // NS_DEPRECATED() - tag for future removal
     TracedCallback<Ptr<const Packet>, const Mac48Address&> m_traceRx;
     /**
      * \deprecated The `const Mac48Address &` argument is deprecated
@@ -462,6 +453,7 @@
      * and this typedef can be removed.
      * \todo This member variable should be private.
      */
+    // NS_DEPRECATED() - tag for future removal
     TracedCallback<Ptr<const Packet>, const Mac48Address&> m_traceTx;
 
     void DoDispose() override;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/wimax/model/wimax-phy.cc ns-3.43/src/wimax/model/wimax-phy.cc
--- ns-3.42/src/wimax/model/wimax-phy.cc	2024-05-29 15:29:47.228073800 -0700
+++ ns-3.43/src/wimax/model/wimax-phy.cc	2024-10-09 16:41:10.148656800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2007,2008 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Jahanzeb Farooq <jahanzeb.farooq@sophia.inria.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/wimax/model/wimax-phy.h ns-3.43/src/wimax/model/wimax-phy.h
--- ns-3.42/src/wimax/model/wimax-phy.h	2024-05-29 15:29:47.228073800 -0700
+++ ns-3.43/src/wimax/model/wimax-phy.h	2024-10-09 16:41:10.148656800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2007,2008 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Jahanzeb Farooq <jahanzeb.farooq@sophia.inria.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/wimax/model/wimax-tlv.cc ns-3.43/src/wimax/model/wimax-tlv.cc
--- ns-3.42/src/wimax/model/wimax-tlv.cc	2024-05-29 15:29:47.228073800 -0700
+++ ns-3.43/src/wimax/model/wimax-tlv.cc	2024-10-09 16:41:10.148656800 -0700
@@ -1,18 +1,7 @@
 /*
  *  Copyright (c) 2009 INRIA, UDcast
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  *         Mohamed Amine Ismail <amine.ismail@sophia.inria.fr>
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/wimax/model/wimax-tlv.h ns-3.43/src/wimax/model/wimax-tlv.h
--- ns-3.42/src/wimax/model/wimax-tlv.h	2024-05-29 15:29:47.228073800 -0700
+++ ns-3.43/src/wimax/model/wimax-tlv.h	2024-10-09 16:41:10.148656800 -0700
@@ -1,18 +1,7 @@
 /*
  *  Copyright (c) 2009 INRIA, UDcast
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  *         Mohamed Amine Ismail <amine.ismail@sophia.inria.fr>
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/wimax/test/mac-messages-test.cc ns-3.43/src/wimax/test/mac-messages-test.cc
--- ns-3.42/src/wimax/test/mac-messages-test.cc	2024-05-29 15:29:47.228073800 -0700
+++ ns-3.43/src/wimax/test/mac-messages-test.cc	2024-10-09 16:41:10.148656800 -0700
@@ -1,18 +1,7 @@
 /*
  *  Copyright (c) 2009 INRIA, UDcast
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  *         Mohamed Amine Ismail <amine.ismail@sophia.inria.fr>
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/wimax/test/phy-test.cc ns-3.43/src/wimax/test/phy-test.cc
--- ns-3.42/src/wimax/test/phy-test.cc	2024-05-29 15:29:47.228073800 -0700
+++ ns-3.43/src/wimax/test/phy-test.cc	2024-10-09 16:41:10.148656800 -0700
@@ -1,18 +1,7 @@
 /*
  *  Copyright (c) 2007,2008, 2009 INRIA, UDcast
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mohamed Amine Ismail <amine.ismail@sophia.inria.fr>
  *                              <amine.ismail@udcast.com>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/wimax/test/qos-test.cc ns-3.43/src/wimax/test/qos-test.cc
--- ns-3.42/src/wimax/test/qos-test.cc	2024-05-29 15:29:47.228073800 -0700
+++ ns-3.43/src/wimax/test/qos-test.cc	2024-10-09 16:41:10.148656800 -0700
@@ -1,18 +1,7 @@
 /*
  *  Copyright (c) 2007,2008, 2009 INRIA, UDcast
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mohamed Amine Ismail <amine.ismail@sophia.inria.fr>
  *                              <amine.ismail@udcast.com>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/wimax/test/ss-mac-test.cc ns-3.43/src/wimax/test/ss-mac-test.cc
--- ns-3.42/src/wimax/test/ss-mac-test.cc	2024-05-29 15:29:47.228073800 -0700
+++ ns-3.43/src/wimax/test/ss-mac-test.cc	2024-10-09 16:41:10.148656800 -0700
@@ -1,18 +1,7 @@
 /*
  *  Copyright (c) 2007,2008, 2009 INRIA, UDcast
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mohamed Amine Ismail <amine.ismail@sophia.inria.fr>
  *                              <amine.ismail@udcast.com>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/wimax/test/wimax-fragmentation-test.cc ns-3.43/src/wimax/test/wimax-fragmentation-test.cc
--- ns-3.42/src/wimax/test/wimax-fragmentation-test.cc	2024-05-29 15:29:47.228073800 -0700
+++ ns-3.43/src/wimax/test/wimax-fragmentation-test.cc	2024-10-09 16:41:10.148656800 -0700
@@ -1,18 +1,7 @@
 /*
  *  Copyright (c) 2009-2010 TELEMATICS LAB - Poliotecnico di Bari
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  *         Giuseppe Piro <g.piro@poliba.it>
  *                       <peppe.piro@gmail.com>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/wimax/test/wimax-service-flow-test.cc ns-3.43/src/wimax/test/wimax-service-flow-test.cc
--- ns-3.42/src/wimax/test/wimax-service-flow-test.cc	2024-05-29 15:29:47.228073800 -0700
+++ ns-3.43/src/wimax/test/wimax-service-flow-test.cc	2024-10-09 16:41:10.148656800 -0700
@@ -1,18 +1,7 @@
 /*
  *  Copyright (c) 2009 INRIA, UDcast
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  *         Mohamed Amine Ismail <amine.ismail@sophia.inria.fr>
  *                              <amine.ismail@udcast.com>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/wimax/test/wimax-tlv-test.cc ns-3.43/src/wimax/test/wimax-tlv-test.cc
--- ns-3.42/src/wimax/test/wimax-tlv-test.cc	2024-05-29 15:29:47.228073800 -0700
+++ ns-3.43/src/wimax/test/wimax-tlv-test.cc	2024-10-09 16:41:10.148656800 -0700
@@ -1,18 +1,7 @@
 /*
  *  Copyright (c) 2009 INRIA, UDcast
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  *         Mohamed Amine Ismail <amine.ismail@sophia.inria.fr>
  *                              <amine.ismail@udcast.com>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/test.py ns-3.43/test.py
--- ns-3.42/test.py	2024-05-29 15:29:47.228073800 -0700
+++ ns-3.43/test.py	2024-10-09 16:41:10.148656800 -0700
@@ -2,18 +2,7 @@
 #
 # Copyright (c) 2009 University of Washington
 #
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License version 2 as
-# published by the Free Software Foundation;
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+# SPDX-License-Identifier: GPL-2.0-only
 #
 import argparse
 import fnmatch
@@ -664,9 +653,12 @@
 # little less hacky, we should add a command to ns3 to return this info
 # and use that result.
 #
-def read_ns3_config():
-    lock_filename = ".lock-ns3_%s_build" % sys.platform
+platform = sys.platform
+platform = "bsd" if "bsd" in platform else platform
+lock_filename = ".lock-ns3_%s_build" % platform
+
 
+def read_ns3_config():
     try:
         # sys.platform reports linux2 for python2 and linux for python3
         with open(lock_filename, "rt", encoding="utf-8") as f:
@@ -854,6 +846,11 @@
 VALGRIND_SUPPRESSIONS_FILE = ".ns3.supp"
 # VALGRIND_SUPPRESSIONS_FILE = None
 
+# When the TEST_LOGS environment variable is set to 1 or true,
+# NS_LOG is set to NS_LOG=*, and stdout/stderr
+# from tests are discarded to prevent running out of memory.
+TEST_LOGS = bool(os.getenv("TEST_LOGS", False))
+
 
 def run_job_synchronously(shell_command, directory, valgrind, is_python, build_path=""):
     if VALGRIND_SUPPRESSIONS_FILE is not None:
@@ -886,9 +883,16 @@
 
     start_time = time.time()
     proc = subprocess.Popen(
-        cmd, shell=True, cwd=directory, stdout=subprocess.PIPE, stderr=subprocess.PIPE
+        cmd,
+        shell=True,
+        cwd=directory,
+        stdout=subprocess.PIPE if not TEST_LOGS else subprocess.DEVNULL,
+        stderr=subprocess.PIPE if not TEST_LOGS else subprocess.STDOUT,
     )
     stdout_results, stderr_results = proc.communicate()
+    stdout_results = b"" if stdout_results is None else stdout_results
+    stderr_results = b"" if stderr_results is None else stderr_results
+
     elapsed_time = time.time() - start_time
 
     retval = proc.returncode
@@ -1260,7 +1264,6 @@
     #
     # Get the information from the build status file.
     #
-    lock_filename = ".lock-ns3_%s_build" % sys.platform
     if os.path.exists(lock_filename):
         ns3_runnable_programs = get_list_from_file(lock_filename, "ns3_runnable_programs")
         ns3_runnable_scripts = get_list_from_file(lock_filename, "ns3_runnable_scripts")
@@ -1352,7 +1355,7 @@
     # test.py runs.  If you want to see logging output from your tests, you
     # have to run them using the test-runner directly.
     #
-    os.environ["NS_LOG"] = ""
+    os.environ["NS_LOG"] = "*" if TEST_LOGS else ""
 
     #
     # There are a couple of options that imply we can to exit before starting
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/utils/bench-packets.cc ns-3.43/utils/bench-packets.cc
--- ns-3.42/utils/bench-packets.cc	2024-05-29 15:29:47.228073800 -0700
+++ ns-3.43/utils/bench-packets.cc	2024-10-09 16:41:10.148656800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2006 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/utils/bench-scheduler.cc ns-3.43/utils/bench-scheduler.cc
--- ns-3.42/utils/bench-scheduler.cc	2024-05-29 15:29:47.228073800 -0700
+++ ns-3.43/utils/bench-scheduler.cc	2024-10-09 16:41:10.148656800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2006 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  */
